Name:           drawtiming
Version:        0.7.1
Release:        27%{?dist}
Summary:        A command line tool for generating timing diagrams
Group:          Applications/Engineering
License:        GPLv2
URL:            http://drawtiming.sourceforge.net
Source0:        http://downloads.sourceforge.net/sourceforge/drawtiming/%{name}-%{version}.tar.gz
BuildRequires:  ghostscript ImageMagick-c++-devel fontconfig-devel

%description
A command line tool for generating timing diagrams from
ASCII input files. The input files use a structured language
to represent signal state transitions and interdependencies.
Raster image output support is provided by ImageMagick.

It can be used for VHDL or verilog presentations.

%prep

%setup -q

sed -i '19,/ /i\#include <cstring>' src/timing.cc

%build
%configure
make %{?_smp_mflags}


%install
make INSTALL="%{__install} -c -p" install DESTDIR=%{buildroot}


# to create the *.gif in samples/
%check
make check

rm -f samples/Makefile*
rm -f samples/runsamples.sh


%files
%doc AUTHORS ChangeLog COPYING README NEWS THANKS samples/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 27 2017 Michael Cronenworth <mike@cchtml.com> - 0.7.1-26
- Rebuild for new ImageMagick

* Tue Sep 05 2017 Adam Williamson <awilliam@redhat.com> - 0.7.1-25
- Rebuild for ImageMagick 6 reversion, drop ImageMagick 7 patch

* Fri Aug 25 2017 Michael Cronenworth <mike@cchtml.com> - 0.7.1-24
- Rebuild for new ImageMagick

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Sun Jul 30 2017 Kevin Fenzi <kevin@scrye.com> - 0.7.1-22
- Rebuild for new ImageMagick

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun May 03 2015 Kalev Lember <kalevlember@gmail.com> - 0.7.1-17
- Rebuilt for GCC 5 C++11 ABI change

* Sun Mar 15 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.7.1-16
- Rebuild for new ImageMagick.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 13 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 0.7.1-13
- ImageMagick 6.8.8.10-3 rebuild.

* Fri Jan 10 2014 Adam Williamson <awilliam@redhat.com> - 0.7.1-12
- rebuild for new imagemagick

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 30 2013 Kevin Fenzi <kevin@scrye.com> - 0.7.1-10
- Rebuild for broken deps in rawhide

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Tom Callaway <spot@fedoraproject.org> - 0.7.1-7
- rebuild for new ImageMagick

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-6
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.7.1-3
- Rebuilt for gcc bug 634757

* Fri Sep 17 2010 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.7.1-2
- Rawhide's new ImageMagick build introduced an ABI break -- rebuild

* Fri Mar 12 2010 Mike McGrath <mmcgrath@redhat.com> - 0.7.1-1.1
- Rebuilding to fix broken dep.  

* Fri Nov 20 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.7.1-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 14 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.6.2-5
- Rebuild for new ImageMagick soname

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.2-3
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.6.2-2
- Rebuild for Fedora 8

* Thu Jun 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.6.2-1
- Initial Package
